import { getPage } from '@/api/getPage';
import { notFound } from 'next/navigation';

import { Suspense } from 'react';
import PageRenderer from '@/components/layout/PageRenderer';

export default async function AsyncPage() {
  const page = await getPage();
  return <PageRenderer components={page.components} prefix="home" />;
}
